> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/es/sdk/septiembre-de-2026/aprovisionamiento-push-clasico-android-v2.0.0.md).

# Aprovisionamiento push (clásico) Android v2.0.0

### Plataformas compatibles y arquitecturas de procesador

* Android 8.1.0 o posterior
* Arquitecturas: `armeabi-v7a`, `arm64-v8a`, `x86`, `x86_64`

### Nuevas funciones

#### Google Unified Push Provisioning

{% hint style="warning" %}
Google exige compatibilidad con Unified Push Provisioning (UPP).

El aprovisionamiento solo de TSP OPC ya no es compatible.

Para más detalles, consulta: [https://developers.google.com/pay/issuers/apis/push-provisioning/android/upgrade\_to\_upp](https://developers.google.com/pay/issuers/apis/push-provisioning/android/upgrade_to_upp?authuser=1)
{% endhint %}

* Añadir compatibilidad con Google Unified Push Provisioning.
* Añadir compatibilidad con el aprovisionamiento Bounce.
* Añadir nueva clase: `GoogleProvisioningResult` para recuperar el estado de tarjeta guardada de Google Pay.

### Mejoras

* Eliminar `OEMPayType.NONE`. `OEMPayType` ahora solo necesita configurarse cuando se realizan operaciones de aprovisionamiento de OEM Wallet.
* Eliminar la API obsoleta `PushProvisioning.addCard(CardInfo cardInfo, String publicKeyId, boolean tcsAccepted, CallbackObject callbackObject, String pushHandler, TPCSDKListener listener)` API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/release-notes/es/sdk/septiembre-de-2026/aprovisionamiento-push-clasico-android-v2.0.0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
